# TdApi.UpdateMessageSendFailed (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: UpdateMessageSendFailed

Package it.tdlight.jni

# Class TdApi.UpdateMessageSendFailed

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateMessageSendFailed

Enclosing class:
  TdApi

    public static class TdApi.UpdateMessageSendFailed
    extends TdApi.Update

A message failed to send. Be aware that some messages being sent can be irrecoverably deleted, in which case updateDeleteMessages will be received instead of this update.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`int` | `errorCode` | An error code.
`String` | `errorMessage` | Error message.
`TdApi.Message` | `message` | Contains information about the message which failed to send.
`long` | `oldMessageId` | The previous temporary message identifier.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`UpdateMessageSendFailed()` | A message failed to send.
`UpdateMessageSendFailed​(TdApi.Message message, long oldMessageId, int errorCode, String errorMessage)` | A message failed to send.
`UpdateMessageSendFailed​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### message

public TdApi.Message message
Contains information about the message which failed to send.

### oldMessageId

public long oldMessageId
The previous temporary message identifier.

### errorCode

public int errorCode
An error code.

### errorMessage

public String errorMessage
Error message.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### UpdateMessageSendFailed

public UpdateMessageSendFailed()
A message failed to send. Be aware that some messages being sent can be irrecoverably deleted, in which case updateDeleteMessages will be received instead of this update.

### UpdateMessageSendFailed

public UpdateMessageSendFailed​(TdApi.Message message, long oldMessageId, int errorCode, String errorMessage)
A message failed to send. Be aware that some messages being sent can be irrecoverably deleted, in which case updateDeleteMessages will be received instead of this update.

Parameters:
  `message` - Message Contains information about the message which failed to send.
  `oldMessageId` - long The previous temporary message identifier.
  `errorCode` - int An error code.
  `errorMessage` - String Error message.

### UpdateMessageSendFailed

public UpdateMessageSendFailed​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`